### Hierarchy

- String
  - UUID

### Indexable

[index: number]: string

## Index

### Properties

- String
- length

### Methods

- charAt
- charCodeAt
- concat
- indexOf
- lastIndexOf
- localeCompare
- match
- replace
- search
- slice
- split
- substr
- substring
- toLocaleLowerCase
- toLocaleUpperCase
- toLowerCase
- toString
- toUpperCase
- trim
- valueOf

## Properties

### String

String: StringConstructor

- Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:468

Allows manipulation and formatting of text strings and determination and location of substrings within strings.

### length

length: number

Inherited from String.length

- Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:442

Returns the length of a String object.

## Methods

### charAt

- charAt(pos: number): string

- Inherited from String.charAt

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:310

  Returns the character at the specified index.

  #### Parameters

  - ##### pos: number

    The zero-based index of the desired character.

  #### Returns string

### charCodeAt

- charCodeAt(index: number): number

- Inherited from String.charCodeAt

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:316

  Returns the Unicode value of the character at the specified location.

  #### Parameters

  - ##### index: number

    The zero-based index of the desired character. If there is no character at the specified index, NaN is returned.

  #### Returns number

### concat

- concat(...strings: string[]): string

- Inherited from String.concat

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:322

  Returns a string that contains the concatenation of two or more strings.

  #### Parameters

  - ##### Rest ...strings: string[]

    The strings to append to the end of the string.

  #### Returns string

### indexOf

- indexOf(searchString: string, position?: undefined | number): number

- Inherited from String.indexOf

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:329

  Returns the position of the first occurrence of a substring.

  #### Parameters

  - ##### searchString: string

    The substring to search for in the string

  - ##### Optional position: undefined | number

    The index at which to begin searching the String object. If omitted, search starts at the beginning of the string.

  #### Returns number

### lastIndexOf

- lastIndexOf(searchString: string, position?: undefined | number): number

- Inherited from String.lastIndexOf

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:336

  Returns the last occurrence of a substring in the string.

  #### Parameters

  - ##### searchString: string

    The substring to search for.

  - ##### Optional position: undefined | number

    The index at which to begin searching. If omitted, the search begins at the end of the string.

  #### Returns number

### localeCompare

- localeCompare(that: string): number

- Inherited from String.localeCompare

  Overrides String.localeCompare

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:342

  Determines whether two strings are equivalent in the current locale.

  #### Parameters

  - ##### that: string

    String to compare to target string

  #### Returns number

### match

- match(regexp: string): RegExpMatchArray | null
- match(regexp: RegExp): RegExpMatchArray | null

- Inherited from String.match

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:348

  Matches a string with a regular expression, and returns an array containing the results of that search.

  #### Parameters

  - ##### regexp: string

    A variable name or string literal containing the regular expression pattern and flags.

  #### Returns RegExpMatchArray | null

- Inherited from String.match

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:354

  Matches a string with a regular expression, and returns an array containing the results of that search.

  #### Parameters

  - ##### regexp: RegExp

    A regular expression object that contains the regular expression pattern and applicable flags.

  #### Returns RegExpMatchArray | null

### replace

- replace(searchValue: string, replaceValue: string): string
- replace(searchValue: string, replacer: function): string
- replace(searchValue: RegExp, replaceValue: string): string
- replace(searchValue: RegExp, replacer: function): string

- Inherited from String.replace

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:361

  Replaces text in a string, using a regular expression or search string.

  #### Parameters

  - ##### searchValue: string

    A string to search for.

  - ##### replaceValue: string

    A string containing the text to replace for every successful match of searchValue in this string.

  #### Returns string

- Inherited from String.replace

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:368

  Replaces text in a string, using a regular expression or search string.

  #### Parameters

  - ##### searchValue: string

    A string to search for.

  - ##### replacer: function

    A function that returns the replacement text.

    - - (substring: string, ...args: any[]): string

      - #### Parameters

        - ##### substring: string

        - ##### Rest ...args: any[]

        #### Returns string

- Inherited from String.replace

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:375

  Replaces text in a string, using a regular expression or search string.

  #### Parameters

  - ##### searchValue: RegExp

    A Regular Expression object containing the regular expression pattern and applicable flags.

  - ##### replaceValue: string

    A string containing the text to replace for every successful match of searchValue in this string.

  #### Returns string

- Inherited from String.replace

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:382

  Replaces text in a string, using a regular expression or search string.

  #### Parameters

  - ##### searchValue: RegExp

    A Regular Expression object containing the regular expression pattern and applicable flags

  - ##### replacer: function

    A function that returns the replacement text.

    - - (substring: string, ...args: any[]): string

      - #### Parameters

        - ##### substring: string

        - ##### Rest ...args: any[]

        #### Returns string

### search

- search(regexp: string): number
- search(regexp: RegExp): number

- Inherited from String.search

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:388

  Finds the first substring match in a regular expression search.

  #### Parameters

  - ##### regexp: string

    The regular expression pattern and applicable flags.

  #### Returns number

- Inherited from String.search

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:394

  Finds the first substring match in a regular expression search.

  #### Parameters

  - ##### regexp: RegExp

    The regular expression pattern and applicable flags.

  #### Returns number

### slice

- slice(start?: undefined | number, end?: undefined | number): string

- Inherited from String.slice

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:402

  Returns a section of a string.

  #### Parameters

  - ##### Optional start: undefined | number

    The index to the beginning of the specified portion of stringObj.

  - ##### Optional end: undefined | number

    The index to the end of the specified portion of stringObj. The substring includes the characters up to, but not including, the character indicated by end. If this value is not specified, the substring continues to the end of stringObj.

  #### Returns string

### split

- split(separator: string, limit?: undefined | number): string[]
- split(separator: RegExp, limit?: undefined | number): string[]

- Inherited from String.split

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:409

  Split a string into substrings using the specified separator and return them as an array.

  #### Parameters

  - ##### separator: string

    A string that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned.

  - ##### Optional limit: undefined | number

    A value used to limit the number of elements returned in the array.

  #### Returns string[]

- Inherited from String.split

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:416

  Split a string into substrings using the specified separator and return them as an array.

  #### Parameters

  - ##### separator: RegExp

    A Regular Express that identifies character or characters to use in separating the string. If omitted, a single-element array containing the entire string is returned.

  - ##### Optional limit: undefined | number

    A value used to limit the number of elements returned in the array.

  #### Returns string[]

### substr

- substr(from: number, length?: undefined | number): string

- Inherited from String.substr

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:450

  Gets a substring beginning at the specified location and having the specified length.

  #### Parameters

  - ##### from: number

    The starting position of the desired substring. The index of the first character in the string is zero.

  - ##### Optional length: undefined | number

    The number of characters to include in the returned substring.

  #### Returns string

### substring

- substring(start: number, end?: undefined | number): string

- Inherited from String.substring

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:424

  Returns the substring at the specified location within a String object.

  #### Parameters

  - ##### start: number

    The zero-based index number indicating the beginning of the substring.

  - ##### Optional end: undefined | number

    Zero-based index number indicating the end of the substring. The substring includes the characters up to, but not including, the character indicated by end. If end is omitted, the characters from start through the end of the original string are returned.

  #### Returns string

### toLocaleLowerCase

- toLocaleLowerCase(): string

- Inherited from String.toLocaleLowerCase

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:430

  Converts all alphabetic characters to lowercase, taking into account the host environment's current locale.

  #### Returns string

### toLocaleUpperCase

- toLocaleUpperCase(): string

- Inherited from String.toLocaleUpperCase

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:436

  Returns a string where all alphabetic characters have been converted to uppercase, taking into account the host environment's current locale.

  #### Returns string

### toLowerCase

- toLowerCase(): string

- Inherited from String.toLowerCase

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:427

  Converts all the alphabetic characters in a string to lowercase.

  #### Returns string

### toString

- toString(): string

- Inherited from String.toString

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:304

  Returns a string representation of a string.

  #### Returns string

### toUpperCase

- toUpperCase(): string

- Inherited from String.toUpperCase

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:433

  Converts all the alphabetic characters in a string to uppercase.

  #### Returns string

### trim

- trim(): string

- Inherited from String.trim

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:439

  Removes the leading and trailing white space and line terminator characters from a string.

  #### Returns string

### valueOf

- valueOf(): string

- Inherited from String.valueOf

  - Defined in C:/Users/Scott/nano-sql/node_modules/typescript/lib/lib.d.ts:453

  Returns the primitive value of the specified object.

  #### Returns string

Generated using TypeDoc